@media all and (max-width:1600px) {
    .container {
        max-width: 1170px;
    }

    .client-back h3 {
        font-size: 20px;
    }

    .client-back h4 {
        font-size: 16px;
    }

    .client-back ul li img {
        width: 40px;
        height: 40px;
    }

    .client-back ul li span {
        font-size: 16px;
    }

    .client-box--det-img {
        width: 70px;
        height: 70px;
    }

    .crd-list {
        width: 334px;
        padding: 20px;
        padding-right: 0;
        margin: 0 20px 35px;
    }

    .crd-icon-box {
        width: 100px;
        height: 100px;
    }

    .crd-icon-cont h5 {
        font-size: 24px;
    }

    // .energyImg {
    //     width: 110px;
    //     height: 110px;
    // }

    .energyCont h4 {
        font-size: 22px;

    }

    // .energyCont p {
    //     font-size: 18px;
    // }

    .partner-sec-1-right {
        padding: 70px;
        padding-right: 0;
    }

    .partner-sec-1-left {
        padding: 70px;
        padding-left: 0;
    }

    .partner-sec-1-right h4 {
        font-size: 30px;
    }

    // .partner-sec-6-container .energyCont h4 {
    // font-size: 24px;
    // min-height: 60px;
    // }

    // .partner-sec-6-container .energyBox {
    //     padding: 40px;
    // }

    .enqbox {
        max-width: 462px;
    }

    .homeIllus {
        bottom: -50px;
    }

    .client-back p {
        font-size: 14px;
    }
}

@media all and (max-width:1440px) {
    .energyImg {
        width: 60px;
        height: 60px;
        margin-bottom: 15px;
    }

    .mainBan.swiper-container-horizontal>.swiper-pagination-bullets {
        bottom: 30px;
    }

    /* commercial start */
    .leftBan .container {
        margin-bottom: 100px;
    }

    .hdn-section h5 {
        font-size: 30px;
    }

    .hdn-section.resiComform h5 {
        font-size: 40px;
    }

    .energyRow .energyLeft {
        width: 500px;
    }

    .energyRow .energyRight {
        padding: 60px 0 60px 80px;
        padding-right: 7%;
    }

    // .testimoImg {
    //     height: 220px;
    // }

    .testim-cont {
        height: ~"calc(100% - 200px)";
    }

    .energyRow .energyLeft {
        top: 80px;
        max-height: ~"calc(100vh - 80px)";
    }

    /* commercial end */

    /* faq start */
    .faqRight {
        .hdn-section {
            margin-bottom: 30px;
        }
    }

    .t-cell {
        font-size: 14px;
    }

    .t-row {
        padding: 10px 5px;
    }

    .faq-table--1 .t-cell {
        width: 140px;
    }

    .faq-hdn b {
        font-size: 12px;
    }

    /* faq end */

    /* about start */
    .innerBanner {
        padding: 180px 0 100px;
    }

    .hdn-section h6 {
        font-size: 20px;
    }

    .teamCont h6 {
        font-size: 18px;
    }

    .teamCont p {
        font-size: 14px;
    }

    .container.teamContainer {
        max-width: 990px;
    }

    // .teamImg {
    //     height: 360px;
    // }

    .testimonial-btn * {
        width: 46px;
    }

    /* about end */

    /* contact start */
    .reachBox {
        padding: 60px 100px;
        margin-bottom: 50px;
        margin-top: -50px;
    }

    .contAddr h3 {
        font-size: 20px;
        margin-bottom: 10px;
    }

    .contAddr p {
        font-size: 16px;
    }

    /* contact end */

    /* go solar start */
    .partner-sec-1-left ul li img {
        height: 60px;
    }

    /* go solar end */

    /* index start */
    .homeBan {
        // max-width: 560px;
        margin: 140px auto 0;
    }

    .butn {
        padding: 0 70px;
    }

    /* index end */

    /* project start */

    .workCont {
        padding: 0 40px 40px;
    }

    .workCont h3 {
        font-size: 32px;
    }

    /* project end */

    /* work start */
    .work-mt {
        margin-top: 60px;
    }

    /* work end */

    .client-back h3 {
        font-size: 18px;
    }

    .client-back p {
        font-size: 14px;
    }

    .client-back h4 {
        font-size: 16px;
    }

    .client-back ul li span {
        font-size: 14px;
    }

    .client-back ul li img {
        width: 40px;
        height: 40px;
    }

    .client-back ul li {
        padding-bottom: 10px;
        margin-bottom: 10px;
    }

    .client-box--det-img {
        width: 50px;
        height: 50px;
    }

    .client-box--det {
        padding: 15px;
    }

    .client-box,
    .client-box-pad {
        border-radius: 10px;
    }

    .client-box-up {
        height: 340px;
    }

    .client-box--det-cont p {
        font-size: 14px;
    }

    .hdn-section h4 {
        font-size: 18px;
    }

    .form-field,
    .select2-container--default .select2-selection--single {
        font-size: 14px;
    }

    .advHdn {
        padding-right: 110px;
    }

    .hdn-section {
        margin-bottom: 50px;
    }

    .button {
        font-size: 16px;
    }

    // .energyCont p {
    //     font-size: 16px;
    // }

    .partner-sec-4-container {
        padding: 80px 0;
    }

    .enqboxBottom {
        padding-top: 20px;
    }

    .faqban .form-group {
        margin-bottom: 25px;
    }

    .homeIllus {
        bottom: 20px;
    }

    .crd-list {
        width: 314px;
        padding: 20px;
        padding-right: 0;
        margin: 0 20px 25px;
    }

    .crd-icon-box {
        width: 80px;
        height: 80px;

        img {
            max-width: 70%;
            max-height: 70%;
        }
    }

    .crd-icon-cont h5 {
        font-size: 22px;
    }

    .crd-icon-cont p {
        font-size: 18px;
    }

    .advHdn .hdn-section h5 {
        font-size: 30px;
    }

    .energyBox {
        margin-bottom: 40px;
    }

    // .energyImg {
    //     width: 90px;
    //     height: 90px;

    //     img {
    //         max-width: 70%;
    //         max-height: 70%;
    //     }
    // }

    .energyCont h4 {
        font-size: 20px;
    }

    .logo {
        width: 100px;
    }

    .fixHeader .logo {
        width: 80px;
    }

    .testim-cont h4 {
        font-size: 18px;
    }

    .select2-container--default .select2-selection--single .select2-selection__placeholder {
        font-size: 14px;
    }
}

@media all and (max-width:1366px) {
    .client-back p {
        font-size: 13px;
    }

    // .hdn-section h4 {
    //     font-size: 18px;
    // }

    // .enqbox {
    //     max-width: 572px;
    //     border-radius: 20px;
    // }

    // .enqboxHdn {
    //     padding: 10px 30px 0;
    // }

    .enqHdnRadio label {
        font-size: 16px;
    }

    // .enqboxBottom {
    //     padding: 30px;
    // }
}

@media all and (max-width:1200px) {

    .container {
        max-width: 960px;
    }

    .client-box-break {
        display: block;
        width: 100%;
    }

    .client-back {
        width: 25vw;
    }

    .client-container {
        flex-wrap: wrap;
        justify-content: center;
    }

    .client-box-up {
        width: 25%;
        margin-bottom: 30px;
    }

    .client-box-up.pre {
        width: 33%;
    }

    .client-box-up.active {
        width: 50%;
    }

    .crd-list {
        width: 289px;
        padding: 20px;
        padding-right: 0;
        margin: 0 10px 30px;
    }

    .crd-icon-box {
        width: 80px;
        height: 80px;

        img {
            max-width: 70%;
            max-height: 70%;
            object-fit: contain;
        }
    }

    .crd-icon-cont h5 {
        font-size: 22px;
    }

    .crd-icon-cont p {
        font-size: 18px;
    }

    .crd-box {
        margin-bottom: 30px;
    }

    .energyCont h4 {
        font-size: 18px;
    }

    .energyBox {
        margin-bottom: 60px;
    }

    .testim-cont h4 {
        font-size: 18px;
    }

    .testim-cont p {
        font-size: 14px;
    }

    .testim-user-img {
        width: 50px;
        height: 50px;
    }

    .testim-user-cont {
        padding-left: 15px;
    }

    .testimonial-btn * {
        width: 46px;
        height: 28px;
    }

    .comm-section {
        padding: 50px 0;
    }

    .partner-sec-1-right h4 {
        font-size: 24px;
    }

    .partner-form {
        padding: 20px;
        margin: 30px 0 0;
    }

    .partner-sec-1-left {
        padding: 50px;
        padding-left: 0;
    }

    .partner-sec-1-right {
        padding: 50px;
        padding-right: 0;
    }

    .partner-sec-1-left ul li img {
        height: 60px;
    }

    .partner-sec-4-container {
        // .energyCont h4 {
        //     min-height: 55px;
        // }

        .energyCont p {
            font-size: 14px;
        }
    }

    .partner-sec-5-container {
        .energyBox {
            padding: 20px;
            margin-bottom: 30px;
        }

        .energyCont p {
            font-size: 14px;
        }
    }

    .partner-sec-6-container {
        // .energyCont h4 {
        //     // font-size: 20px;
        //     min-height: 60px;
        // }

        .energyBox {
            padding: 30px;
            border-radius: 15px;
        }
    }

    .advHdn .hdn-section h5 {
        font-size: 34px;
    }

    /* about start */
    .container.teamContainer {
        max-width: 738px;
    }

    .teamImg {
        // height: 280px;
        margin-bottom: 15px;
    }

    .innerBanner {
        padding: 140px 0 60px;
    }

    /* about end */

    /* conatct */
    .reachBox {
        padding: 40px 60px;
        margin-top: -40px;
    }

    /* conatct end */

    /* faq */
    .hdn-section.resiComform h5 {
        font-size: 32px;
    }

    /* faq end */

    /* go solar */
    .partner-sec-4-container .energyBox {
        padding: 35px 20px;
    }

    /* go solar end */
    .blFormSec .prjtQuery {
        max-width: 555px;
    }
}

@media all and (max-width:1024px) {

    /* faq */
    .energyRow.revs--energyRow .energyRight {
        padding: 40px;
        padding-left: 7%;
    }

    .energyRow .energyRight {
        padding: 40px;
        padding-right: 7%;
    }

    .energyRow .energyLeft {
        width: 380px;
    }

    /* faq end */
}

@media all and (max-width:990px) {
    :root {
        --form-field-height: 45px;
    }

    .container {
        max-width: 738px;
    }

    .hdn-section h4 {
        font-size: 16px;
        line-height: 1.5;
    }

    .hdn-section h6 {
        font-size: 18px;
        line-height: 1.5;
    }

    .hdn-section h5,
    .advHdn .hdn-section h5 {
        font-size: 32px;
        line-height: 40px;
    }


    .form-field~.form-label {
        font-size: 14px;
    }

    .button {
        font-size: 14px;
        height: 45px;
        line-height: 45px;
    }

    // .energyImg {
    //     width: 90px;
    //     height: 90px;

    //     img {
    //         max-width: 70%;
    //         max-height: 70%;
    //     }
    // }

    // .energyCont h4 {
    //     font-size: 16px;
    // }

    // .energyCont p {
    //     font-size: 14px;
    // }
    .advHdn {
        display: flex;
        justify-content: space-between;
        align-items: center;
    }

    .homeIllus {
        display: none;
    }

    .enqbox {
        max-width: 100%;
    }

    .crd-icon-box {
        margin-right: 20px;
    }

    .crd-icon-cont p {
        font-size: 16px;
    }

    .partner-sec-1-left {
        padding: 30px;
        padding-left: 0;
    }

    .partner-sec-1-right {
        padding: 30px;
        padding-right: 0;
    }

    .partner-sec-1-right h4 {
        font-size: 22px;
    }

    .partner-sec-1-left ul li span {
        font-size: 14px;
    }

    .partner-sec-4-container {
        // .energyCont h4 {
        //     min-height: auto;
        // }

        .energyBox {
            width: ~'calc(50% - 20px)';
            margin-bottom: 30px;
        }
    }

    .partner-sec-4-container {
        padding: 50px 0;
    }

    // .partner-sec-5-container {
    //     .energyImg {
    //         width: 90px;
    //         height: 90px;
    //         margin-right: 20px;

    //         img {
    //             max-width: 70%;
    //             max-height: 70%;
    //         }
    //     }
    // }

    .partner-sec-6-container {

        .energyBox {
            padding: 20px;
            border-radius: 10px;
            margin: 0 10px 20px;
        }

        .energyImg {
            height: 70px;
            width: 70px;
        }

        .energyCont h4 {
            font-size: 17px;
            // min-height: auto;
        }
    }

    .client-container-desc {
        display: none;
    }

    .client-container-mob {
        display: block;
    }

    .client-box-up {
        width: 100%;
        margin-bottom: 0;
        padding: 0;
        position: relative;
        text-align: left;
        overflow: hidden;
    }


    .client-back {
        padding: 20px 10px;
        right: 0;
        opacity: 1;
        width: 100%;
        z-index: 9;
        background: rgba(255, 255, 255, 0.95);
        height: auto;
        top: inherit;
        bottom: 0;
        border-top: 5px solid #2dc2fb;
        .trf-t(0, 100%);

        &.active {
            .trf-t(0, 0);
        }
    }

    .client-box--det {
        opacity: 1;
    }

    .client-box--det-cont {
        text-align: left;
    }

    .clientClose {
        position: absolute;
        right: 0;
        top: 0;
        width: 30px;
        height: 30px;
        text-align: center;
        line-height: 30px;
        color: red;
        cursor: pointer;
    }

    // .faqForm {
    //     display: block;
    // }

    .hdn-section.left {
        margin-bottom: 30px;
    }

    .advHdn .button {
        display: none;
    }


    /* about start */

    // .teamImg {
    //     height: 250px;
    // }

    .gotoTop {
        width: 50px;
        height: 50px;
        bottom: 30px;
        right: 30px;

        i {
            font-size: 22px;
        }
    }

    /* about end */

    /* contact */
    .contImg {
        width: 45px;
        height: 45px;
        margin: 0 auto 20px;
    }

    .contAddr h3 {
        font-size: 18px;
        margin-bottom: 6px;
    }

    .reachBox {
        padding: 30px 35px;
    }

    .reachFrom {
        margin-top: 40px;
    }

    /* contact end */

    /* faq */
    .energyRow .energyLeft {
        width: 320px;
    }

    /* faq end */


    .leftBan .container {
        margin-bottom: 80px;
    }

    /* work */
    .workCont {
        padding: 0 30px 30px;
    }

    .workCont h3 {
        font-size: 26px;
    }

    .work-mt {
        margin-top: 30px;
    }

    .workBox {
        margin-bottom: 30px;
    }

    /* work end */

    .workBox {

        &:hover .workCont,
        .workCont {
            transform: translateY(0);
        }

        &:hover .workImg:before,
        .workImg:before {
            opacity: 1;
            background: linear-gradient(rgba(0, 0, 0, 0) 30%, rgba(0, 0, 0, 0.7) 100%);
        }
    }

    .container.blFormSec {
        display: block;
    }

    .container.blFormSec .prjtQuery {
        max-width: 100%;
    }
}

@media all and (max-width:850px) {

    .client-back ul li img {
        width: 35px;
        height: 35px;
    }

    .client-back ul li span {
        font-size: 13px;
    }
}

@media all and (max-width:800px) {
    // .energyRow .energyLeft {
    //     display: none;
    // }

    .energyRow {
        display: block;
    }

    .energyRow .energyLeft {
        width: 100%;
        position: static;
        max-height: 100%;
        // height: 280px;
        margin-bottom: 30px;
    }

    .energyRow.revs--energyRow .energyRight,
    .energyRow .energyRight {
        padding: 0;
        padding-left: 15px;
        padding-right: 15px;
        max-width: 738px;
        margin: auto;
    }

    .energyRow.energyRow-2 .energyLeft,
    .energyRow.energyRow-2 .energyRight {
        width: 100%;
    }

    .solarEng {
        padding-top: 40%;
        position: relative;

        img {
            position: absolute;
            top: 0;
            left: 0;
        }
    }

    .mainBan {
        height: 400px;
    }

    .energyRow.padEnergyRow .energyLeft {
        margin-bottom: 25px;
        padding: 15px;
        padding-bottom: 0;
        padding-top: 48px;
    }
}

@media all and (max-width:768px) {

    .container,
    .container.teamContainer,
    .energyRow.revs--energyRow .energyRight,
    .energyRow .energyRight {
        max-width: 100%;
    }

    .hdn-section h5,
    .advHdn .hdn-section h5 {
        font-size: 28px;
        line-height: 37px;
    }

    .crd-list {
        width: 282px;
    }

    /*     .residential-pagination {
        display: block;
        position: static;
    } */

    .button:hover {
        opacity: 1;
    }

    .partner-sec-1-container:after {
        display: none;
    }

    .partner-sec-1-left,
    .partner-sec-1-right {
        padding: 30px 0;
    }

    .partner-sec-1-left .hdn-section {
        max-width: 400px;
        margin: 0 auto 50px;
        text-align: center;
    }

    .partner-sec-1-left ul li {
        width: 20%;
        margin-bottom: 40px;
        text-align: center;
    }

    .partner-sec-1-left ul li:nth-child(3n+2),
    .partner-sec-1-left ul li:nth-child(3n+3) {
        text-align: center;
    }

    .partner-sec-6-container .energyBox {
        width: ~'calc(33% - 30px)';
    }

    .partner-sec-1-right h4 {
        font-size: 18px;
    }


    .energyBox:hover .energyImg {
        top: 0;
    }

    .HomeBannerMain {
        background-image: url(../img/banner-mob.jpg);
    }

    .butn:before {
        display: none;
    }

    .leftBan .container {
        margin-bottom: 60px;
    }
}

@media all and (max-width:640px) {
    .enqbox {
        width: 100%;
    }

    .testim-cont {
        padding: 20px;
        border-radius: 20px;
    }

    .partner-sec-6-container .energyContainer {
        margin: 0 -10px;
    }

    .partner-sec-6-container .energyBox {
        width: ~'calc(50% - 30px)';
    }

    .partner-sec-5-container .energyBox {
        width: 100%;
        box-shadow: 5px 5px 99px rgba(0, 0, 0, 0.05);
    }

    .button {
        box-shadow: 10px 10px 30px rgba(26, 189, 252, 0.1);
    }

    .button.blueDark {
        box-shadow: 10px 10px 30px rgba(19, 28, 162, 0.1);
    }

    /* about */
    .hdn-section h6 {
        font-size: 16px;
        line-height: 1.3;
    }

    .contAddr p {
        font-size: 14px;
    }

    /* about end */

    /* contact */
    .contAddr {
        margin-bottom: 30px;
    }

    /* contact end */

    /* faq */
    .faqacc-box {
        margin-bottom: 30px;
    }

    /* faq end */
    .swiper-container-horizontal>.swiper-pagination-bullets .swiper-pagination-bullet {
        margin: 0 5px;
    }

    .teamContainer .jufyCen {
        justify-content: start;
    }
}

@media all and (max-width:576px) {
    .mainBan.swiper-container-horizontal>.swiper-pagination-bullets {
        bottom: 25px;
    }

    .commTab {
        overflow-x: auto;

        // .nav-pills {}
    }

    .commTab.commTab2 .nav-pills li a {
        padding: 0 20px 15px;
    }

    /* work */
    .workCont {
        padding: 0 20px 20px;
    }

    .workCont h3 {
        font-size: 22px;
    }

    /* work end */
}

@media all and (max-width:480px) {
    .enqHdnRadio label {
        font-size: 14px;
        padding: 12px 0;
    }

    // .enqboxHdn {
    //     padding: 10px 20px 0;
    // }

    // .enqboxBottom {
    //     padding: 20px;
    // }
    .enqHdnRadio {
        flex: 1;
    }

    .form-group,
    .form-textarea-group {
        margin-bottom: 20px;
    }

    .form-field,
    .select2-container--default .select2-selection--single {
        padding: 0 15px;
        font-size: 14px;
    }

    label.error {
        line-height: 1.5;
        font-size: 13px;
    }

    .avgTxt1 {
        display: none;
    }

    .avgTxt2 {
        display: inline-block;
    }

    .testim-cont {
        padding: 15px;
        border-radius: 10px;
    }

    .hdn-section h5,
    .advHdn .hdn-section h5 {
        font-size: 24px;
        line-height: 1.3;
    }

    .hdn-section {
        margin-bottom: 35px;
    }

    .advHdn {
        justify-content: center;

        .hdn-section h5,
        .hdn-section h4 {
            text-align: center;
        }

        .button {
            display: none;
        }
    }


    .energyCont p {
        font-size: 14px;
    }

    .dotIllus {
        top: 60%;
        max-width: 8vw;
    }

    .crd-icon-cont h5 {
        font-size: 20px;
    }

    .testimonial-btn * {
        width: 38px;
        height: 22px;
    }

    .testim-cont h4 {
        font-size: 16px;
    }

    .partner-sec-4-container .energyBox {
        border-radius: 10px;
    }

    .energyCont h4 {
        font-size: 16px;
    }

    .partner-sec-4-container .energyBox {
        width: ~'calc(50% - 10px)';
        padding: 25px 20px;
    }

    .partner-sec-1-left ul li {
        width: 33.33%;
    }

    .partner-sec-1-left ul li img {
        height: 45px;
    }

    .testimonial-btn {
        margin-top: 30px;
    }

    .logo {
        width: 60px;
    }

    .fixHeader .logo {
        width: 55px;
    }

    .energyImg {
        width: 60px;
        height: 60px;
        margin-bottom: 10px;
    }

    .partner-sec-5-container .energyImg {
        margin-bottom: 10px;
    }

    .partner-sec-4-container .energyImg {
        height: 70px;
        width: 70px;
    }

    // .partner-sec-5-container .energyImg {
    //     width: 70px;
    //     height: 70px;
    //     margin-right: 0;
    //     margin-bottom: 10px;

    //     img {
    //         max-width: 100%;
    //         max-height: 100%;
    //     }
    // }


    /* about start */

    // .teamImg {
    //     height: 350px;
    // }

    .gotoTop {
        bottom: 20px;
        right: 20px;
    }

    /* about end */

    /* conatct */
    .butn {
        height: 45px;
        line-height: 45px;
        padding: 0 50px;
    }

    /* conatct end */

    /* faq */
    .energyRow .energyLeft {
        // height: 200px;
        margin-bottom: 25px;
    }

    .hdn-section.resiComform h5 {
        font-size: 26px;
    }

    /* faq end */

    /* work */
    .prjtQuery {
        border-radius: 10px;
    }

    .prjtQuery .enqboxBtm {
        padding: 15px
    }

    .work-mt {
        margin-top: 0;
    }

    /* work end */

    /* go solar */


    .partner-sec-6-container,
    .partner-sec-4-container {

        .energyImg {
            height: 60px;
            width: 60px;
        }
    }

    /* go solar end */
    .workBox:nth-of-type(even) {
        top: 0;
    }

    .fot-contact ul {
        flex-direction: column;
        // align-items: center;
    }

    .alert {
        font-size: 14px;
    }
}

@media all and (max-width:400px) {
    .enqboxHdn {
        padding: 10px 15px 0;
    }

    .enqboxBottom {
        padding: 25px 15px;
    }

    .enqHdnRadio label {
        font-size: 13px;
    }

    .hdn-section h5,
    .advHdn .hdn-section h5 {
        font-size: 20px;
        line-height: 1.4;
        margin-bottom: 10px;
    }

    .energyBox,
    .energyBox:nth-last-child(1),
    .energyBox:nth-last-child(2),
    .partner-sec-4-container .energyBox {
        width: 100%;
        margin-bottom: 30px;
    }

    .dotIllus {
        top: 36%;
        max-width: 11vw;
    }

    .partner-sec-6-container .energyCont h4 {
        font-size: 16px;
    }

    .partner-sec-5-container .energyBox {
        display: block;
    }


    .partner-sec-6-container {
        .energyContainer {
            margin: 0;
        }

        .energyBox {
            width: 100%;
            margin: 0;
            margin-bottom: 20px;
            display: flex;
            align-items: center;
        }

        .energyCont {
            flex: 1;
            min-width: 0;
        }

        .energyImg {
            margin-bottom: 0;
            margin-right: 20px;
        }
    }

    /* contact */
    .reachBox {
        padding: 20px 15px;
        margin-top: -30px;
    }

    .contImg {
        width: 40px;
        height: 40px;
    }

    .contAddr h3 {
        font-size: 16px;
    }

    .innerBanner {
        padding: 100px 0 50px;
    }

    /* contact end */

    /* faq */
    .hdn-section.resiComform h5 {
        font-size: 22px;
    }

    /* faq end */
    .teamCont h6 {
        font-size: 16px;
    }

    .teamCont p {
        font-size: 12px;
    }

    /* residential */
    .banHdn br {
        display: none;
    }

    /* residential end */
}